This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 695372 - Misbehaving/Invisible Authentication Icon
Misbehaving/Invisible Authentication Icon
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
14
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-11 10:04 EDT by justsomebody
Modified: 2012-08-16 12:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 12:32:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description justsomebody 2011-04-11 10:04:15 EDT
Description of problem:
The authentication icon(http://www.linuxtopia.org/online_books/redhat_linux_reference_guide/s1-pam-timestamp.html) doesn't always appear in the system tray using Gnome. It depends on the application that first needs root access.
The icon only appears when either the firewall or "Add/Remove Software" is started after entering the root password.
When the Firewall is started, the icon appears but instantly disappears when exiting the firewall configuration window. While the window is still open and key is present, any other program that needs root password will ask for the password.
When "System -> Administration -> Add/Remove Software" is started, the key symbol appears after entering root password. Other programs within the Administration panel can be started without the need to enter the root password again(within timeout), except 'Firewall'.
When any other program from the "Administration" panel is started, no key symbol appears, but all other programs can be started without having to enter root password(again within timeout) except for the firewall.
When starting realcrypt(http://rpmfusion.org/Package/realcrypt), after entering root pw, "Add/Remove Software" can be started without having to enter root password. There doesn't seem to be a timeout for this(after a few hours it still works). The key symbol never appears.


How reproducible:
always

Steps to Reproduce:
(using Gnome Desktop)
e.g
1. start System -> Administration -> Users and Groups
2. enter root password
3. start any other 'Administration' program
  
Actual results:
no key symbol appears

Expected results:
key symbol should be there for all programs enabling elevated privileges
Comment 1 giulix 2011-04-12 04:29:01 EDT
It looks like the authentication timeout problem is caused by pam-panel-icon not being activated when the DE starts. Please, have a look at this thread on FedoraForum:
http://forums.fedoraforum.org/showthread.php?t=261215
Comment 2 Fedora End Of Life 2012-08-16 12:32:12 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.